4Suite™ API Documentation

# ► Module Ft.Server.Server.Commands.Init

Initialize the repository. This involves reformatting the storage back end (e.g. Postgres database or FlatFile root directory) and then adding the core data structures. You will LOSE ALL DATA when you execute the init, unless you use the --update option. You can only init on the machine on which the command is executed. You must have write access to where the back end stores its data (e.g., your userid must be able to write to the Postgres database if the back end is Postgres). You may be prompted for additional information to complete the init.

Classes: CoreProduct, ExtendedCommand, OtherProduct |  |  |  | Functions: BuildCommandDocs, BuildCommandProduct, BuildDataProduct, BuildDocProduct, BuildProductList, BuildServerProduct, CommandLineInit, DoInit, Register, VerifyComponent |  |  |  | Fields: FTSERVER_NAMESPACE, XLINK_NAMESPACE, c, g_allComponentNames, g_allComponents, g_componentHelp, generators, name, value

## Classes

class CoreProduct(Ft.Server.Common.Install.InstallUtil.Product)

### Methods

__init__(self, destroyRepo, users)
commit(self, driver)
getRepo(self, userName, password, properties)
For the core product, our repo is the driver
install(self, driver, basePath, quiet, confirm, do_update=False)
Perform a few extra installation features.
rollback(self, driver)
setIndicator(self)

### Methods inherited from class Ft.Server.Common.Install.InstallUtil.Product

filter, serialize, setBase, sort

### Fields

coreResources = [<Container to be installed at ftss id=0x492b7eec>, <Container to be installed at ftss/users id=0x492b7eac>, <Container to be installed at ftss/groups id=0x492152ac>]
users = []

### Fields

class ExtendedCommand(Ft.Server.Common.Install.InstallUtil.Command)

### Methods

__init__(self, path, acl, owner, imt, docDef, command, cmdPath)
buildOptionDoc(self, option, command)

### Methods inherited from class Ft.Server.Common.Install.InstallUtil.XmlDocument

createContent, updateOther

### Methods inherited from class Ft.Server.Common.Install.InstallUtil.RawFile

__repr__, checkStatus, setPath, setSource, updateAcl, updateContent, updateImt, updateOwner

### Fields

class OtherProduct

### Methods

__init__(self, baseProduct, users)
commit(self, repo)
getRepo(self, userName, password, properties)
install(self, repo, basePath, quiet, confirm, do_update=False)
rollback(self, repo)

## Functions

BuildCommandDocs(command, baseName, acl)
BuildCommandProduct()
BuildDataProduct()
BuildDocProduct(do_update=False)
BuildProductList(components, destroyRepo, users, do_update=False)
BuildServerProduct()
CommandLineInit(options, args)
Init function called from the command line tool. Parse options and args, do validation, and then call the common Initialization routines.
DoInit(properties, userName, password, components, confirm=False, destroyRepo=False, users=None, quiet=False, do_update=False)
Do the actual initialization. Iterate over the components and do each one.
Register()
VerifyComponent(comp)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'
c = 'Data'
g_allComponentNames = ['data', 'commands', 'docs', 'servers', 'demos', 'dashboard']
g_allComponents = {'Commands': '4ss and 4ss_manager commands and documentation; ...o use the 4ss and 4ss_manager command-line tools', 'Dashboard': 'The web-based control panel for 4Suite', 'Data': 'Commonly used 4Suite data and icons (required; must be first component installed)', 'Demos': 'The default 4Suite Repository Demonstration applications and the server to access them', 'Docs': 'All 4Suite documentation', 'Servers': 'The default FtRpc and Ftp Server'}
g_componentHelp = 'Specify which components to add/update in the re...s (required; must be first component installed).'
generators = _Feature((2, 2, 0, 'alpha', 1), (2, 3, 0, 'final', 0), 4096)
name = 'Data'
value = 'Commonly used 4Suite data and icons (required; must be first component installed)'